gnash-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Gnash-commit] gnash ChangeLog testsuite/anaylse-results.sh


From: Sandro Santilli
Subject: [Gnash-commit] gnash ChangeLog testsuite/anaylse-results.sh
Date: Fri, 07 Sep 2007 12:07:54 +0000

CVSROOT:        /sources/gnash
Module name:    gnash
Changes by:     Sandro Santilli <strk>  07/09/07 12:07:54

Modified files:
        .              : ChangeLog 
        testsuite      : anaylse-results.sh 

Log message:
                * testsuite/anaylse-results.sh: exit with a failure if any real
                  failure or unexpected success is found in the logs. Cleanup
                  presentation code and output (the latter to now which subdirs 
have
                  failures or unexpected successes).

CVSWeb URLs:
http://cvs.savannah.gnu.org/viewcvs/gnash/ChangeLog?cvsroot=gnash&r1=1.4246&r2=1.4247
http://cvs.savannah.gnu.org/viewcvs/gnash/testsuite/anaylse-results.sh?cvsroot=gnash&r1=1.12&r2=1.13

Patches:
Index: ChangeLog
===================================================================
RCS file: /sources/gnash/gnash/ChangeLog,v
retrieving revision 1.4246
retrieving revision 1.4247
diff -u -b -r1.4246 -r1.4247
--- ChangeLog   7 Sep 2007 11:56:05 -0000       1.4246
+++ ChangeLog   7 Sep 2007 12:07:54 -0000       1.4247
@@ -1,5 +1,12 @@
 2007-09-07 Sandro Santilli <address@hidden>
 
+       * testsuite/anaylse-results.sh: exit with a failure if any real
+         failure or unexpected success is found in the logs. Cleanup
+         presentation code and output (the latter to now which subdirs have
+         failures or unexpected successes).
+
+2007-09-07 Sandro Santilli <address@hidden>
+
        * server/dlist.cpp (output operator): don't compare iterators from
          different sequences !
        * server/movie_instance.cpp (advance): don't invoke ONLOAD event

Index: testsuite/anaylse-results.sh
===================================================================
RCS file: /sources/gnash/gnash/testsuite/anaylse-results.sh,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -b -r1.12 -r1.13
--- testsuite/anaylse-results.sh        7 Sep 2007 11:43:50 -0000       1.12
+++ testsuite/anaylse-results.sh        7 Sep 2007 12:07:54 -0000       1.13
@@ -34,58 +34,48 @@
     nounresolved=`grep -c "^UNRESOLVED: " ${dir}/testrun.sum`
     nountested=`grep -c "^UNTESTED: " ${dir}/testrun.sum`
     echo -n "Test suite $dir: "
+    someprint=0
     if test $nofail -gt 0; then
-       echo -n " $nofail real failures"
+       echo -n "$nofail real failures"
        total_fail=`expr $total_fail + $nofail`
+       someprint=1
     fi
     if test $noxpass -gt 0; then
-       if test $nofail -gt 0; then
-           echo -n ", $noxpass unexpected successes"
-       else
-           echo -n " $noxpass unexpected successes"
-       fi
+       if test $someprint -gt 0; then echo -n ", "; fi
+       echo -n "$noxpass unexpected successes"
        total_xpass=`expr $total_xpass + $noxpass`
+       someprint=1
     fi
     if test $nopass -gt 0; then
-       if test $noxpass -gt 0; then
-           echo -n ", $nopass passes"
-       else
+       if test $someprint -gt 0; then echo -n ", "; fi
            echo -n "$nopass passes"
-       fi
        total_pass=`expr $total_pass + $nopass`
+       someprint=1
     fi
     if test $noxfail -gt 0; then
-       if test $nofail -gt 0 -o $nopass -gt 0; then
-           echo -n ", ${noxfail} expected failures"
-       else
+       if test $someprint -gt 0; then echo -n ", "; fi
            echo -n "${noxfail} expected failure"
-       fi
        total_xfail=`expr $total_xfail + $noxfail`
+       someprint=1
     fi
     if test ${nounresolved} -gt 0; then
-       if test $nofail -gt 0 -o $nopass -gt 0 -o $noxfail -gt 0; then
-           echo -n ", ${nounresolved} unresolved"
-       else
+       if test $someprint -gt 0; then echo -n ", "; fi
            echo -n "${nounresolved} unresolved"
-       fi
        total_unresolved=`expr ${total_unresolved} + ${nounresolved}`
+       someprint=1
     fi
     if test ${nountested} -gt 0; then
-       if test $nofail -gt 0 -o $nopass -gt 0 -o $noxfail -gt 0 -o 
$nounresolved -gt 0; then
-           echo -n ", ${nountested} untested"
-       else
+       if test $someprint -gt 0; then echo -n ", "; fi
            echo -n "${nountested} untested"
-       fi
        total_untested=`expr ${total_untested} + ${nountested}`
+       someprint=1
     fi
+    if test ${nofail} -gt 0 || test ${noxpass} -gt 0; then echo -n " *"; fi
     echo
 done
 
 echo
 echo "Test Result Totals:"
-if test ${total_fail} -gt 0; then
-    echo "     Total real failures: $total_fail"
-fi
 if test ${total_pass} -gt 0; then
     echo "     Total passes: $total_pass"
 fi
@@ -95,15 +85,25 @@
 if test ${total_xfail} -gt 0; then
     echo "     Total expected failures: ${total_xfail}"
 fi
-if test ${total_xpass} -gt 0; then
-    echo "     Total unexpected successes: ${total_xpass}"
-fi
 if test ${total_untested} -gt 0; then
     echo "     Total untested: ${total_untested}"
 fi
+if test ${total_fail} -gt 0; then
+    echo "     * Total real failures: $total_fail"
+fi
+if test ${total_xpass} -gt 0; then
+    echo "     --> Total unexpected successes: ${total_xpass}"
+fi
 
 echo
 
+# For now, return a failure if any XPASS or FAIL occurred
+if test ${total_fail} -gt 0 || test ${total_xpass} -gt 0; then
+       exit 1
+else
+       exit 0
+fi
+
 #
 # Look for regressions
 #




reply via email to

[Prev in Thread] Current Thread [Next in Thread]